export const dateFormat = (time = new Date().getTime(),flag) => { //YYYY年MM月DD日 星期d
  const _time = time.toString().length > 10 ? time : time * 1000
  const weekList = ["日","一", "二", "三", "四", "五", "六" ];
  const date = new Date(_time);
  const Y = date.getFullYear();
  const M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1);
  const Mm = (date.getMonth() + 1 < 10 ?  (date.getMonth() + 1) : date.getMonth() + 1);
  const D = (date.getDate() < 10 ? '0' + date.getDate() : date.getDate());
  const h = (date.getHours() < 10 ? '0' + date.getHours() : date.getHours());
  const m = (date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes());
  const s = (date.getSeconds() < 10 ? '0' + date.getSeconds() : date.getSeconds());
  let weekDay = new Date().getDay();
  const week= weekList[weekDay]
  // const strDate = `${Y}/${M}/${D} ${h}:${m}:${s}`
  if(flag){
    return `${Mm}月`;
  }else {
    return `${Y}年${M}月${D}日 星期${week}`;
  }
}
export const getNowFormatDate = (flag) => {
  let date = new Date(),
    year = date.getFullYear(), //获取完整的年份(4位)
    month = date.getMonth() + 1, //获取当前月份(0-11,0代表1月)
    strDate = date.getDate() // 获取当前日(1-31)
  if (month < 10) month = `0${month}` // 如果月份是个位数，在前面补0
  if (strDate < 10) strDate = `0${strDate}` // 如果日是个位数，在前面补0
  if(flag){
    return `${year}-${month}-${strDate}`
  }else {
    return `${year}-${month}`
  }
}
export default {
  dateFormat,
  getNowFormatDate
}





